<!-- header -->
<div class="header">
  <div class="col-sm-12 no-padding">
    <div class="top-label">
      <section class="mat-typography">
        <h3>Dashboard</h3>
      </section>
    </div>
  </div>
</div>
<!-- header -->


<div class="content">
  <div class="container-fluid">

    <div class="row row-body">

      <div class="col-sm-3">
        <div class="card">
          <div class="row">
            <div class="col-sm-12">
              <div class="card-body gradient-pink">
                <div class="clearfix">
                  <div class="float-left">

                    <!-- <ngx-charts-bar-vertical [view]="viewBarTop" [scheme]="colorSchemeBarTop" [results]="barTopData" [gradient]="gradientBarTop"
                      [xAxis]="showXAxisBarTop" [yAxis]="showYAxisBarTop" [legend]="showLegendBarTop" [showXAxisLabel]="showXAxisLabelBarTop"
                      [showYAxisLabel]="showYAxisLabelBarTop" [xAxisLabel]="xAxisLabelBarTop" [yAxisLabel]="yAxisLabelBarTop"
                      (select)="onSelect($event)">
                    </ngx-charts-bar-vertical> -->
                    <div class="top-logo">
                      <img src="./assets/deal.svg">
                    </div>
                  </div>
                  <div class="float-right text-right">
                    <p>Sold Unit</p>
                    <section class="mat-typography">
                      <h2>15,650</h2>
                    </section>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-sm-3">
        <div class="card">
          <div class="row">
            <div class="col-sm-12">
              <div class="card-body gradient-pink">
                <div class="clearfix">
                  <div class="float-left">

                    <!-- <ngx-charts-area-chart [view]="viewAreaTop" [scheme]="colorSchemeAreaTop" [results]="areaTopData" [gradient]="gradientAreaTop"
                      [xAxis]="showXAxisAreaTop" [yAxis]="showYAxisAreaTop" [legend]="showLegendAreaTop" [showXAxisLabel]="showXAxisLabelAreaTop"
                      [showYAxisLabel]="showYAxisLabelAreaTop" [xAxisLabel]="xAxisLabelAreaTop" [yAxisLabel]="yAxisLabelAreaTop"
                      [autoScale]="autoScale" (select)="onSelect($event)">
                    </ngx-charts-area-chart> -->

                    <div class="top-logo">
                      <img src="./assets/bar-graph.svg">
                    </div>

                  </div>
                  <div class="float-right text-right">
                    <p>Total Revenue</p>
                    <section class="mat-typography">
                      <h2>Rp 29,102,650,000</h2>
                    </section>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-sm-3">
        <div class="card">
          <div class="row">
            <div class="col-sm-12">
              <div class="card-body gradient-pink">
                <div class="clearfix">
                  <div class="float-left">

                    <!-- <ngx-charts-line-chart [view]="viewLineTop" [scheme]="colorSchemeLineTop" [results]="lineTopData" [gradient]="gradientLineTop"
                      [xAxis]="showXAxisLineTop" [yAxis]="showYAxisLineTop" [legend]="showLegendLineTop" [showXAxisLabel]="showXAxisLabelLineTop"
                      [showYAxisLabel]="showYAxisLabelLineTop" [xAxisLabel]="xAxisLabelLineTop" [yAxisLabel]="yAxisLabelLineTop"
                      [autoScale]="autoScale" (select)="onSelect($event)">
                    </ngx-charts-line-chart> -->
                    <div class="top-logo">
                      <img src="./assets/tag.svg">
                    </div>
                  </div>
                  <div class="float-right text-right">
                    <p>Net Profit</p>
                    <section class="mat-typography">
                      <h2>Rp 346,450,000</h2>
                    </section>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-sm-3">
        <div class="card">
          <div class="row">
            <div class="col-sm-12">
              <div class="card-body gradient-pink">
                <div class="clearfix">
                  <div class="float-left">
                    <!-- <ngx-charts-bar-vertical-stacked [view]="viewStackbarTop" [scheme]="colorSchemeStackbarTop" [results]="stackBarData" [gradient]="gradientStackbarTop"
                      [xAxis]="showXAxisStackbarTop" [yAxis]="showYAxisStackbarTop" [showGridLines]="showGridLinesStackbarTop"
                      [legend]="showLegendStackbarTop" [showXAxisLabel]="showXAxisLabelStackbarTop" [showYAxisLabel]="showYAxisLabelStackbarTop"
                      [xAxisLabel]="xAxisLabelStackbarTop" [yAxisLabel]="yAxisLabelStackbarTop" (select)="onSelect($event)">
                    </ngx-charts-bar-vertical-stacked> -->
                    <div class="top-logo">
                        <img src="./assets/sale.svg">
                      </div>
                  </div>
                  <div class="float-right text-right">
                    <p>Profit Margin</p>
                    <section class="mat-typography">
                      <h2>32%</h2>
                    </section>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>

    <!-- 1st row -->
    <div class="row row-body">

      <div class="col-sm-3">
        <div class="row">
          <div class="col-sm-12">
            <div class="card">
              <div class="card-body card-summary">
                <div class="row card-title">
                  <div class="col-9">
                    <h5 class="">Summary</h5>
                  </div>
                  <div class="col-3">
                    <button class="button-top" [matMenuTriggerFor]="filterBrand" type="button" matTooltip="Filter">
                      <mat-icon>sort</mat-icon>
                    </button>
                    <mat-menu #filterBrand="matMenu">
                      <button mat-menu-item (click)="changeSummary('toyota')">
                        <mat-icon>remove_red_eye</mat-icon>
                        <span>Toyota</span>
                      </button>
                      <button mat-menu-item (click)="changeSummary('yamaha')">
                        <mat-icon>remove_red_eye</mat-icon>
                        <span>Yamaha Motor</span>
                      </button>
                      <button mat-menu-item (click)="changeSummary('yamaha boat')">
                        <mat-icon>remove_red_eye</mat-icon>
                        <span>Yamaha Boat</span>
                      </button>
                    </mat-menu>
                  </div>
                </div>
                <!-- toyota -->
                <div class="row" *ngIf="toyotaShow">
                  <div class="col-sm-12">
                    <div class="row row-body">
                      <div class="col-sm-6">
                        <div class="brand-logo bg-pink">
                          <img src="./assets/toyota.svg">
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <div class="brand-image">
                          <img src="./assets/avanza.jpg">
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12">
                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography text-sum">
                              <h4>
                                Toyota
                              </h4>
                            </section>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography value-sum">
                              <h2>
                                2,909
                              </h2>
                            </section>
                            <section class="mat-typography text-sum">
                              <h4>
                                Sales This Month
                              </h4>
                            </section>
                          </div>
                        </div>

                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography">
                              <h6>
                                From total target 6.500
                              </h6>
                            </section>
                          </div>
                        </div>

                        <div class="clearfix"></div>
                        <div class="row">
                          <div class="col-sm-10">
                            <mat-progress-bar style="margin-top: 0.45rem;" color="accent" mode="determinate" value="40"></mat-progress-bar>
                          </div>
                          <div class="col-sm-2">
                            <section class="mat-typography">
                              <h5>
                                42%
                              </h5>
                            </section>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- toyota -->

                <!-- yamaha -->
                <div class="row" *ngIf="yamahaShow">
                  <div class="col-sm-12">
                    <div class="row row-body">
                      <div class="col-sm-6">
                        <div class="brand-logo bg-green">
                          <img src="./assets/yamaha.svg">
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <div class="brand-image">
                          <img src="./assets/vixion.jpg">
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12">
                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography text-sum">
                              <h4>
                                Yamaha
                              </h4>
                            </section>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography value-sum">
                              <h2>
                                2,890
                              </h2>
                            </section>
                            <section class="mat-typography text-sum">
                              <h4>
                                Sales This Month
                              </h4>
                            </section>
                          </div>
                        </div>

                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography">
                              <h6>
                                From total target 8.500
                              </h6>
                            </section>
                          </div>
                        </div>

                        <div class="clearfix"></div>
                        <div class="row">
                          <div class="col-sm-10">
                            <mat-progress-bar style="margin-top: 0.45rem;" color="accent" mode="determinate" value="60"></mat-progress-bar>
                          </div>
                          <div class="col-sm-2">
                            <section class="mat-typography">
                              <h5>
                                52%
                              </h5>
                            </section>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- yamaha -->

                <!-- yamaha boat -->
                <div class="row" *ngIf="yamahaBoatShow">
                  <div class="col-sm-12">
                    <div class="row row-body">
                      <div class="col-sm-6">
                        <div class="brand-logo bg-blue">
                          <img src="./assets/yamaha.svg">
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <div class="brand-image">
                          <img src="./assets/boat.jpg">
                        </div>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12">
                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography text-sum">
                              <h4>
                                Yamaha Boat
                              </h4>
                            </section>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography value-sum">
                              <h2>
                                1,108
                              </h2>
                            </section>
                            <section class="mat-typography text-sum">
                              <h4>
                                Sales This Month
                              </h4>
                            </section>
                          </div>
                        </div>

                        <div class="row">
                          <div class="col-sm-12">
                            <section class="mat-typography">
                              <h6>
                                From total target 2.500
                              </h6>
                            </section>
                          </div>
                        </div>

                        <div class="clearfix"></div>
                        <div class="row">
                          <div class="col-sm-10">
                            <mat-progress-bar style="margin-top: 0.45rem;" color="accent" mode="determinate" value="70"></mat-progress-bar>
                          </div>
                          <div class="col-sm-2">
                            <section class="mat-typography">
                              <h5>
                                70%
                              </h5>
                            </section>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- yamaha boat -->

              </div>
            </div>
          </div>
        </div>
      </div>

      <!-- Sales Statistic -->
      <div class="col-sm-4">
        <div class="row">
          <div class="col-sm-12">
            <div class="card">
              <div class="card-body">

                <div class="row card-title">
                  <div class="col-9">
                    <h5 class="">Sales Statistic</h5>
                  </div>
                  <div class="col-3">
                    <button class="button-top" [matMenuTriggerFor]="moreSales" type="button" matTooltip="More">
                      <mat-icon>more_vert</mat-icon>
                    </button>
                    <mat-menu #moreSales="matMenu">
                      <button mat-menu-item>
                        <mat-icon>filter_list</mat-icon>
                        <span>This Month</span>
                      </button>
                      <button mat-menu-item>
                        <mat-icon>filter_list</mat-icon>
                        <span>Last Month</span>
                      </button>
                    </mat-menu>
                  </div>
                </div>

                <div class="row row-body">
                  <div class="col-sm-4">
                    <div class="row">
                      <div class="col-sm-12">
                        <section class="mat-typography">
                          <h5>
                            Car
                          </h5>
                        </section>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12">
                        <section class="mat-typography value-sum">
                          <h2 style="color:#E91E63">
                            2,909
                          </h2>
                        </section>
                        <mat-icon class="value-up">arrow_upward</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="row">
                      <div class="col-sm-12">
                        <section class="mat-typography">
                          <h5>
                            Motor Cycle
                          </h5>
                        </section>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12">
                        <section class="mat-typography value-sum">
                          <h2 style="color:#1DE9B6;">
                            2,890
                          </h2>
                        </section>
                        <mat-icon class="value-min">arrow_downward</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="row">
                      <div class="col-sm-12">
                        <section class="mat-typography">
                          <h5>
                            Boat
                          </h5>
                        </section>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12">
                        <section class="mat-typography value-sum">
                          <h2 style="color:#2196f3;">
                            1,108
                          </h2>
                        </section>
                        <mat-icon class="value-up">arrow_upward</mat-icon>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="row">
                  <div class="col-sm-12">
                    <ngx-charts-line-chart class="statistic-chart" [view]="view" [scheme]="colorScheme" [results]="lineHomeData" [gradient]="gradient"
                      [xAxis]="showXAxis" [yAxis]="showYAxis" [legend]="showLegend" [showXAxisLabel]="showXAxisLabel" [showYAxisLabel]="showYAxisLabel"
                      [xAxisLabel]="xAxisLabel" [yAxisLabel]="yAxisLabel" [autoScale]="autoScale" (select)="onSelect($event)">
                    </ngx-charts-line-chart>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Sales Statistic -->

      <!-- Best Selling Items -->
      <div class="col-sm-5">
        <div class="row">
          <div class="col-sm-12">
            <div class="card">
              <div class="card-body">

                <div class="row card-title">
                  <div class="col-9">
                    <h5 class="">Best Selling Items</h5>
                  </div>
                  <!-- <div class="col-3">
                    <button class="button-top" [matMenuTriggerFor]="moreSales" type="button" matTooltip="More">
                      <mat-icon>more_vert</mat-icon>
                    </button>
                    <mat-menu #moreSales="matMenu">
                      <button mat-menu-item>
                        <mat-icon>filter_list</mat-icon>
                        <span>This Month</span>
                      </button>
                      <button mat-menu-item>
                        <mat-icon>filter_list</mat-icon>
                        <span>Last Month</span>
                      </button>
                    </mat-menu>
                  </div> -->
                </div>
                <div class="row row-list">
                  <div class="col-sm-12">
                    <div class="brand-list">
                      <div class="brand-logo bg-pink">
                        <img src="./assets/toyota.svg">
                      </div>
                      <div class="text-list">
                        <section class="mat-typography">
                          <h3>Toyota Avanza 1.5 Deluxe</h3>
                          <h5>Lorem Ipsum is simply dummy text </h5>
                        </section>
                      </div>
                      <div class="text-value">
                        <section class="mat-typography">
                          <h3 style="color:#f44336">1,229</h3>
                        </section>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="brand-list">
                      <div class="brand-logo bg-green">
                        <img src="./assets/yamaha.svg">
                      </div>
                      <div class="text-list">
                        <section class="mat-typography">
                          <h3>Yahama Mio Soul GT</h3>
                          <h5>Lorem Ipsum is simply dummy text </h5>
                        </section>
                      </div>
                      <div class="text-value">
                        <section class="mat-typography">
                          <h3 style="color:#1DE9B6">2,349</h3>
                        </section>
                      </div>
                    </div>
                  </div>
                  <div class="col-sm-12 last">
                    <div class="brand-list">
                      <div class="brand-logo bg-blue">
                        <img src="./assets/yamaha.svg">
                      </div>
                      <div class="text-list">
                        <section class="mat-typography">
                          <h3>Yahama Dinamo ST 56</h3>
                          <h5>Lorem Ipsum is simply dummy text </h5>
                        </section>
                      </div>
                      <div class="text-value">
                        <section class="mat-typography">
                          <h3 style="color:#2196f3">1,190</h3>
                        </section>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Best Selling Items -->

    </div>
    <!-- 1st row -->

    <!-- 2nd row -->
    <div class="row row-body">

      <div class="col-sm-9">
        <div class="row row-body">
          <div class="col-sm-12">
            <div class="card">
              <div class="card-body">
                <div class="row card-title">
                  <div class="col-6">
                    <h5 class="">Target vs Sales</h5>
                  </div>
                  <div class="col-6">
                    <button class="button-top" type="button" (click)="searchBarData()" matTooltip="Search">
                      <mat-icon>search</mat-icon>
                    </button>
                  </div>
                </div>
                <div class="row" *ngIf="searchData">
                  <div class="col-sm-12">
                    <mat-form-field>
                      <input matInput [matDatepicker]="picker" placeholder="Start Date">
                      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                      <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                    <mat-form-field>
                      <input matInput [matDatepicker]="picker2" placeholder="End Date">
                      <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                      <mat-datepicker #picker2></mat-datepicker>
                    </mat-form-field>
                    <mat-form-field>
                      <mat-select placeholder="Area">
                        <mat-option value="jawa">All</mat-option>
                        <mat-option value="jawa">Jawa</mat-option>
                        <mat-option value="jawa">Papua</mat-option>
                        <mat-option value="jawa">Maluku</mat-option>
                      </mat-select>
                    </mat-form-field>
                    <button mat-button color="primary">SEARCH</button>
                  </div>
                </div>
                <div class="row">
                  <div class="col-sm-12">
                    <ngx-charts-bar-vertical-2d [view]="viewBar" [scheme]="colorSchemeBar" [results]="mainBarHome" [gradient]="gradientBar" [xAxis]="showXAxisBar"
                      [tooltipDisabled]="tooltipDisabledBar" [groupPadding]="groupPaddingBar" [barPadding]="barPaddingBar"
                      [yAxis]="showYAxisBar" [showDataLabel]="showDataLabelBar" [legend]="showLegendBar" [yScaleMax]="yScaleMaxBar"
                      [showXAxisLabel]="showXAxisLabelBar" [showYAxisLabel]="showYAxisLabelBar" [xAxisLabel]="xAxisLabelBar"
                      [yAxisLabel]="yAxisLabelBar" (select)="onSelect($event)">
                    </ngx-charts-bar-vertical-2d>
                  </div>
                </div>
                <div class="row d-flex justify-content-center">
                  <div class="col-sm-2">
                    <mat-list class="legend-bar">
                      <mat-list-item>
                        <mat-icon style="color:#2196f3;">pause</mat-icon>
                        <div class="mat-typography">
                          <h5>Actual-Sales</h5>
                        </div>
                      </mat-list-item>
                    </mat-list>
                  </div>
                  <div class="col-sm-2">
                    <mat-list class="legend-bar">
                      <mat-list-item>
                        <mat-icon style="color:#E91E63;">pause</mat-icon>
                        <div class="mat-typography">
                          <h5>Target-Sales</h5>
                        </div>
                      </mat-list-item>
                    </mat-list>
                  </div>
                  <div class="col-sm-2">
                    <mat-list class="legend-bar">
                      <mat-list-item>
                        <mat-icon style="color:#1DE9B6;">pause</mat-icon>
                        <div class="mat-typography">
                          <h5>Last Month</h5>
                        </div>
                      </mat-list-item>
                    </mat-list>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>
      </div>

      <div class="col-sm-3">
        <div class="row row-body">
          <div class="col-sm-12">
            <div class="card">
              <div class="card-body">

                <div class="row card-title">
                  <div class="col-9">
                    <h5 class="">Contribution</h5>
                  </div>
                  <div class="col-3">
                    <button class="button-top" [matMenuTriggerFor]="moreContri" type="button" matTooltip="More">
                      <mat-icon>more_vert</mat-icon>
                    </button>
                    <mat-menu #moreContri="matMenu">
                      <button mat-menu-item>
                        <mat-icon>filter_list</mat-icon>
                        <span>By Area</span>
                      </button>
                      <button mat-menu-item>
                        <mat-icon>filter_list</mat-icon>
                        <span>By Provnice</span>
                      </button>
                    </mat-menu>
                  </div>
                </div>

                <div class="row">
                  <div class="col-sm-12">
                    <ngx-charts-pie-chart class="contri-donut" [view]="viewDonut" [scheme]="colorSchemeDonut" [results]="dougnatHome" [legend]="showLegendDonut"
                      [explodeSlices]="explodeSlices" [tooltipDisabled]="tooltipDisabledDonut" [labels]="showLabelsDonut" [doughnut]="doughnutDonut"
                      [gradient]="gradientDonut" (select)="onSelect($event)">
                    </ngx-charts-pie-chart>
                  </div>
                  <div class="col-sm-6">
                    <mat-list class="legend-doughnut">
                      <mat-list-item>
                        <mat-icon style="color:#E91E63;">donut_large</mat-icon>
                        <div class="mat-typography">
                          <h5>Sulawesi</h5>
                        </div>
                      </mat-list-item>
                      <mat-list-item>
                        <mat-icon style="color:#D4E157;">donut_large</mat-icon>
                        <div class="mat-typography">
                          <h5>Papua</h5>
                        </div>
                      </mat-list-item>
                    </mat-list>

                  </div>
                  <div class="col-sm-6">
                    <mat-list class="legend-doughnut">
                      <mat-list-item>
                        <mat-icon style="color:#2196f3;">donut_large</mat-icon>
                        <div class="mat-typography">
                          <h5>Maluku</h5>
                        </div>
                      </mat-list-item>
                      <mat-list-item>
                        <mat-icon style="color:#1DE9B6;">donut_large</mat-icon>
                        <div class="mat-typography">
                          <h5>Jawa</h5>
                        </div>
                      </mat-list-item>
                    </mat-list>

                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>
    <!-- 2nd row -->

  </div>
</div>